Rhino+

Rhinoceros plugin開発日記
by rhino-plus
S M T W T F S
1 2 3 4 5
6 7 8 9 10 11 12
13 14 15 16 17 18 19
20 21 22 23 24 25 26
27 28
Link
最新の記事
bbpl バグ修正
at 2013-12-26 14:28
bansen バグ修正
at 2013-12-26 14:22
53_offc (offse..
at 2012-10-18 15:19
以前の記事
ブログパーツ
夢見る外国為替
検索
その他のジャンル
ファン
記事ランキング
ブログジャンル
画像一覧

<   2011年 02月 ( 9 )   > この月の画像一覧


setc(Set display color)

皆さんこんにちは、もうそこまで春が来ていますね。
それと花粉の季節です・・・・。今年は花粉多いらしいですよ。

さて少し間があきましたが新しいコマンドです。
今回は表示色をユーザーが決められた色でオブジェクトに反映するコマンドです。表示色はレイヤ色とは違い1つのレイヤの中に複数色を設定できます。これによりレイヤ数を少なくすることができます。
皆さんもよく決まった色を使用するのではないでしょうか?私はグレーや赤をよく使います。
毎回F3で設定するのが面倒でしたのでこれなら好きな色を設定したコマンドを複数設定しておけばすぐに色が設定できます。
これはちょっとしたことですがとても便利ですよ。

今後は色をプログラム記述で設定ではなくコマンド起動中にオプションでカラーチャート設定で指定色が使えるようなインターフェイスに変えていこうと考えています。

ダウンロードは創造社HPの左下のRhino+リンクからどうぞ


Hello everyone, Japan is the pollen season.
This year will be many the pollen.

Introduction of a new command.
This is the command to reflect the display color in a user setting colors.
You can reduce the number of layers.
I often use red and gray.
It is cumbersome to set from F3.

Colors can be set quickly by using this command.
It is very convenient.

In the future we intend to change the color to use interface as specified by setting the color chart.

Click here to download.
[PR]

by rhino-plus | 2011-02-24 19:29 | 23_setc

より高速に、そして快適に

おはようございます。今後のRhino+の予定ですが「コマンド処理の高速化とバグ処理、そしてライノSDKを使用したより高度なプログラム化」を考えてます。
SDKを使用することでダイアログボックスを使用した、より使いやすいインターフェイスの作成が可能になります。まだまだ不完全な部分がありますが少しずつバージョンUPしていきますので。

皆様今後ともよろしくお願いします。

Good morning.
Rhino + is scheduled in the future.
"Faster processing of program and bug-fix.Using a more sophisticated program by Rhino SDK."Rhino SDK enables the creation of more user-friendly interface by using a dialog box .

Thank you .
[PR]

by rhino-plus | 2011-02-19 07:54 | お知らせ

bbp(Bounding box plus)

おはようございます。インフルエンザが流行っていますが皆さん気をつけてくださいね。
さて今回はしょうたんの要望にありましたbbpコマンドをワイヤーフレーム化する方法です。
少し難しい内容がありますがLet's challengeです。
bbpのrvbプログラムをテキストエディッタなどで開いて下記の行のプログラムを探してください。では行きますよ。

intCount =7
arrPoint = arrBox(intCount)
arrBoxPt(intCount) = Array(arrPoint(0)-r,arrPoint(1)+r,arrPoint(2)+r)

P=Rhino.AddBox(arrBoxPt)
<-----ここでボックスをPに定義します。


arrSize(0)=Rhino.Distance ( arrBoxPt(1),arrBoxPt(0))
arrSize(1)=Rhino.Distance ( arrBoxPt(3),arrBoxPt(0))
arrSize(2)=Rhino.Distance ( arrBoxPt(4),arrBoxPt(0))

Rhino.print "Size = " & Rhino.Pt2Str(arrSize, 3)

Rhino.SelectObject (P)
<------ここで先ほど定義したボックスPを選択します。

Rhino.AddLine arrBoxPt(0), arrBoxPt(1)
Rhino.AddLine arrBoxPt(0), arrBoxPt(3)
Rhino.AddLine arrBoxPt(1), arrBoxPt(2)
Rhino.AddLine arrBoxPt(2), arrBoxPt(3)
Rhino.AddLine arrBoxPt(4), arrBoxPt(5)
Rhino.AddLine arrBoxPt(4), arrBoxPt(7)
Rhino.AddLine arrBoxPt(5), arrBoxPt(6)
Rhino.AddLine arrBoxPt(6), arrBoxPt(7)
Rhino.AddLine arrBoxPt(0), arrBoxPt(4)
Rhino.AddLine arrBoxPt(1), arrBoxPt(5)
Rhino.AddLine arrBoxPt(2), arrBoxPt(6)
Rhino.AddLine arrBoxPt(3), arrBoxPt(7)
<------ここではPの頂点を直線で結びます。arrBoxPt(X)はボックスの8つの頂点を示しています。

Rhino.deleteObject (P)
<------ここでサーフェイスのボックスPを削除しています。


どうでしょうか?プログラムをみるとユーザーがマニュアルで操作している方法と同じ流れをプログラム化しているだけです。問題はそのユーザーのマニュアル操作をプログラムにどうやって置き換えるかです。それはEditscriptのHELPを開いてサンプルプログラムを見て試行錯誤していくと求める記述が探せるようになりますよ。ファイトです!!

-------------------------------------------------------------------
ユーザーのしょうたさんの発案から生まれたコマンドです。加工素材取りで残り代を含めたBOXを作製する時などに使えます。デフォルトオフセット数値は10mmです。
このように必要なコマンドがありましたらご要望くださいね。
[PR]

by rhino-plus | 2011-02-19 07:43 | 14_bbp

アイコンにて

アイコンの透過部の設定があまく背景がグレーのときに白い点々がありましたが解消しました。
全コマンドダウンロードのtiff画像を更新しましたので気になる方はお手数ですが再ダウンロードお願いします。

またまたアイコン画像を変えたいかなと画策中・・・・デザインも・・・・。どうもカクカクや色が気になる部分がありまして・・・・。(心の声です)

ダウンロードは創造社HPの左下のRhino+リンクからどうぞ

Hello.
I was wrong icon image processing. Removed white spots.
Tiff image was updated. Please Download.

thank you.

Click here to download.
d0189213_18345921.jpg

[PR]

by rhino-plus | 2011-02-08 18:35 | お知らせ

exsf4 (Extend surface 4 boundaries)

サーフェースの延長で、4境界全部を延長するケースがありませんか?
自分は、結構、あります。

例えば、単純平面を作成し、それでトリムしたい場合でもその単純平面がトリムしたい面より小さい場合があります。そんな時には、このコマンドです。一気に、4境界延長してくれます。

もちろん、通常の曲面でも同じことができます。内部的には延長コマンドを4境界順番に行っています。このコマンドが、なんで今まで無かったのか!!!と、改めて思った次第です。

ダウンロードは創造社HPの左下のRhino+リンクからどうぞ

When surface extend, Is not there a case to extend 4 boundaries.
I have a lot of such cases.

For example,
When I wanted to trim, object was small and you I was not able to trim.
In such a case, it is this command.
At once, I extend 4 boundaries.

Of course, exsf4 can extend other than the plane.
As for the program, ExtendSrf four times order.

Why was not there this command so far?
I thought so.

Click here to download.
[PR]

by rhino-plus | 2011-02-08 17:30 | 22_exsf4

rocp(Rotate cplane)

こんにちは、さて今回はプレーン回転コマンドです。
作業をしていて作図するときなどプレーンを回転させたいなと思ったことはありませんか?このコマンドは左クリックをするたびに現在のプレーンを90度ずつ回転します。
使うときはcplaneを表示してお使いください。

現在はバージョンはαです。回転順序と平面に対しての軸の向きを今後変更していこうと思っています。

あまりクリックしすぎると腱鞘炎になりますので注意です。

ダウンロードは創造社HPの左下のRhino+リンクからどうぞ


Hi, Well this is the cplane rotation command.
Have you ever thought that if you want to rotate the cplane.
This command cplane rotated by 90 degrees every time you left click here.
Current version is α. I think I'll change the future direction of the axis of rotation order for the cplane.
thanks.

Click here to download.
[PR]

by rhino-plus | 2011-02-08 16:16 | 21_rocp

cv234(Curve X pionts count)

こんにちは2月に入り気温も上がりだんだんと春が近づいてきました。

さて、今回はカーブの制御点数を強制的に2,3,4に変更するコマンドです。
初期動作で良く使うコマンドです。
リビルドでダイアログを立ち上げるのは面倒ですので基本的によく使う制御点数をコマンド化してあります。またプログラム内部をいじれば制御点数は自由に変更できます。

方法はダウンロードされたrvbファイルを開いて
-----------------------------------------------
Rhino.RebuildCurve strCurve, 1, 2
-----------------------------------------------
で1,2の数値を変更してみてください。1が次数で2が制御点数です。

ダウンロードは創造社HPの左下のRhino+リンクからどうぞ


Hello.
Japan has soon become a spring season.

So, This is the command to change the control points of the curve.
Frequently used in the initial work.
Change the file rvb.
The control points can be changed freely.

Please open rvb file.
-----------------------------------------------
Rhino.RebuildCurve strCurve, 1, 2
-----------------------------------------------
Please change the setting.Degree is 1,Point count is 3.
Change Degree and Point count.
Please try.

Click here to download.
[PR]

by rhino-plus | 2011-02-02 15:22 | 18/19/20 cv

HP変更します

おはようございます。

現在HPは英語と日本語混在で作成されていましたが今回からtopページで英語と日本語を分けさせていただきました。どうもブラウザのエンコードで文字化けが起こるのでその対策でもあります。他の変更はありません。
ご了承ください。

さて英語HPをUPしてから急激にアクセスが増えpluginダウンロード数が1,000件を超えました。大変ありがとうございます。
今も世界のどこかで私たちのコマンドがカチカチと動いていると思うと嬉しいです。

現在も新規コマンドを開発していますが、現状pluginの動作がおかしい部分などもあり小さい改良もおこなっております。気がつかれた方は遠慮なく指摘ください。

Good morning.
Rhino+ HP is currently being used in English and Japanese.
We are separating HP into English and Japanese site.This reason,happened garbled in Rhino+ HP.

Well, our Rhino+ plugin exceeded download 1,000.Thank you.
We are happy, plugins will be running somewhere in the world.

Currently we are developing a new plugin and bugfix.
If you notice a bug tell me.
Thanks
[PR]

by rhino-plus | 2011-02-02 07:13 | お知らせ

bansen

β版のbansenコマンドですが、幾つかバグがありました。

①-Xだけの対象物に対して、番線を作成しますと、
 Xの数値が入れ替わってしまいます。
 (-Yだけの場合も同様です)

②XYZで番線を作成しますと、
 ワールド軸X=Y、ワールド軸Y=X となります。
 こちらは、バグというより、このような仕様で作成しましたが、
 どうも使い勝手が悪いようですね。。。

現在、このバグ対策と番線名をユーザー設定可能とするように修正を行っております。
(②に関しては、デフォルト選択は現在のままとします。
 ワールド軸XをX番線にする場合は、ユーザー設定で、YXZ と入力して
 頂くようにするつもりでおります。)

暫くお待ち頂けますでしょうか。


This bansen command had a bug.
(It is beta release now.)

1. When you chose only an object in -X , numerical value of X is different .
( -Y is similar , too . )

2. X of the world axis becomes Y when I choose XYZ .
( This was specifications . But , there was an opinion that it was difficult to use it . )


Now , I am going to revise bug .
And user can input bansenname.

Please wait a little.

--------------------------------------

番線作成コマンドです。対象物を選択するとその対象物を囲むように100mmピッチで番線が発生します。

この番線作成コマンドはテストバージョンになります。
たくさんのユーザーに使っていただいて今後動作改善を行っていければいいなと考えています。下記コメントに自由に要望や感想を書いてくださいね。

(番線作成コマンド改善でご要望に沿えない場合もあると思いますがその点はご了承ください。また不適切なコメントは削除する場合もございます。)

ダウンロードは創造社HPの左下のRhino+リンクからどうぞ


d0189213_13574284.jpg

[PR]

by rhino-plus | 2011-02-01 17:00 | 05_bansen